//
// Header file for misc external code Pan needs
// to interface to.
// 
#ifndef __PANUTILSSRC_H__
#define __PANUTILSSRC_H__

#ifndef _MSC_VER
#include "comPrim.h"
#endif

extern char* MkPluginDir(char* root, char* prefix);
extern void  ShellOpen (char* lpFile);
extern
BOOL
LoadBMPHeader
         ( /*[in]*/   char* lpszFile
	 , /*[out]*/  LONG* pWidth
	 , /*[out]*/  LONG* pHeight
	 , /*[out]*/  LONG* pPlanes
	 , /*[out]*/  LONG* pBitCount
	 , /*[out]*/  LONG* pCompression
	 , /*[out]*/  LONG* pClrUsed
	 , /*[out]*/  LONG* pClrImportant
         );

extern
BOOL
LoadBMPBitsPal
         ( /*[in]*/   char* lpszFile
	 , /*[out]*/  RGBQUAD** pBits
	 , /*[out]*/  RGBQUAD** pPalette
	 );

extern int floatToInt(float x);
extern int doubleToInt(double x, int* y);
extern int GetPicDimensions(LPCTSTR szFile, int* pWidth, int* pHeight);

extern void BrowseForFolder ( char* title, char* initPath, char* pPath );

extern LPOLESTR CreateNewGuid();

extern
char*
ReadRegistryStr ( /*[in]*/ const char* hive
	        , /*[in]*/ const char* path
	        , /*[in]*/ const char* key
		);
extern
HRESULT
WriteRegistryStr ( /*[in]*/ const char* hive
	         , /*[in]*/ const char* path
	         , /*[in]*/ const char* key
		 , /*[in]*/ const char* val
		 );
extern
HRESULT
AllocRegistryKey
            ( /*[in]*/ const char* hive
	    , /*[in]*/ const char* path
	    , /*[in]*/ const char* dVal
	    );

extern
char*
getShortPathName(const char* sPath);

extern
char*
getTempPath();

#endif /* __PANUTILSSRC_H__ */
